# 11.1 亚马逊雨林数据初窥

拿到数据的第一步，肯定是先看看数据中有多少个字段，每个字段代表什么意思。这份数据是一个 csv 文件，所以可以使用 pandas 来读取数据。

```python
import pandas as pd

# 读取csv文件
data = pd.read_csv('./amazon.csv')

# 查看数据的前5行
data.head(5)
```

![](1.jpg)

可以看出，每一行数据表示当天在特定区域内发生火灾的次数。嗯，前 5 行数据中都没有发生过火灾，看上去还不错。

接下来，看看火灾发生次数的简单统计信息。

```python
data['number'].describe()
```

![](2.jpg)

哇，从 98 年到 19 年期间，亚马逊森林总共发生了 6454 起火灾！而且平均每天发生了 108 起火灾！

这样的统计对于分析来说，粒度还是有点粗，我们不妨对火灾发生的次数进行分组统计。比如根据年、月和地区来分组，那么在对月份分组之前，可以先将数据中的月份进行简化，然后再进行分组。

```python
# 将month中的月份改成缩写
data['month'].replace(to_replace = 'Janeiro', value = 'Jan', inplace = True)
data['month'].replace(to_replace = 'Fevereiro', value = 'Feb', inplace = True)
data['month'].replace(to_replace = 'Março', value = 'Mar', inplace = True)
data['month'].replace(to_replace = 'Abril', value = 'Apr', inplace = True)
data['month'].replace(to_replace = 'Maio', value = 'May', inplace = True)
data['month'].replace(to_replace = 'Junho', value = 'Jun', inplace = True)
data['month'].replace(to_replace = 'Julho', value = 'Jul', inplace = True)
data['month'].replace(to_replace = 'Agosto', value = 'Aug', inplace = True)
data['month'].replace(to_replace = 'Setembro', value = 'Sep', inplace = True)
data['month'].replace(to_replace = 'Outubro', value = 'Oct', inplace = True)
data['month'].replace(to_replace = 'Novembro', value = 'Nov', inplace = True)
data['month'].replace(to_replace = 'Dezembro', value = 'Dec', inplace = True)

# 分组统计
year_mo_state = data.groupby(by = ['year','state', 'month']).sum().reset_index()

year_mo_state
```

![](3.jpg)

现在已经统计出了，某年某月某个地区发生火灾的次数。但是这样的一份不完全的报表(由于篇幅原因，这里只截出了部分统计结果)放在你的面前，你可能并不会有什么感觉，因为人类喜欢的是图，而不是一堆数字。所以下一节，将带你画出有趣的图表，让你对这份数据有一份更加直观的认识。




