# 2.3 数据可视化

人类都是视觉动物，虽然常见的统计量能够反映出一些数据的特点，但是并不直观，如果能够将数据中的特征的分布或者特征与特征之间的关系可视化出来，那么对于理解数据来说，算是比较舒服的一件事情了。所以接下来就介绍一些常见的可视化图形，都表示了什么样的信息。

## 散点图

散点图也叫`X-Y`图，它将所有的数据以点的形式展现在直角坐标系上，以显示变量之间的相互影响程度，点的位置由变量的数值决定。

通过观察散点图上数据点的分布情况，我们可以推断出变量间的相关性。如果变量之间不存在相互关系，那么在散点图上就会表现为随机分布的离散的点，如果存在某种相关性，那么大部分的数据点就会相对密集并以某种趋势呈现。数据的相关关系主要分为：正相关（两个变量值同时增长）、负相关（一个变量值增加另一个变量值下降）、不相关、线性相关、指数相关等，表现在散点图上的大致分布如下图所示。那些离点集群较远的点我们称为离群点或者异常点。

![](2.jpg)

下面来看一个例子，假设现在有这样一份数据。其中包括性别，年龄，身高和体重。

![](3.jpg)

如果我们使用身高和体重这两个特征来画出散点图，则会有如下可视化结果：

![](4.jpg)

从可视化结果可以看出，不管是男生还是女生仿佛都遵循这一个规律，就是身高越高体重就越重。而且细心一点，可以看出身高 170 体重为 90 的人应该是属于肥胖了。


## 直方图

直方图可以看成是描述数据分布的分布图，横轴代表特征的数值，纵轴代表该特征值在数据集中出现的频率或者次数。

例如这是罗斯福国家公园树木数据集中树木所处地的海拔高度的直方图。

![](5.jpg)

从图中可以看出，大部分树木都在海拔 3000 米左右的地方生长。而且整个海拔的分布近似于正态分布。这也是符合常理的，因为只有极少部分品种的树木需要在非常低或者非常高的海拔的条件下才能生长。


## 饼图

当想要看看某个categorical特征的值的占比时，可以尝试使用饼图来进行可视化。例如以下饼图为某县手机运营商的市场份额分布图。

![](6.jpg)

从图中可以看出，该县的手机运营商的市场基本上已经被中国移动给霸占了。说明当地的中国移动可能更会做宣传，或者服务质量更好。
