# 5.3 动手实现线性回归

知道线性回归的正规方程解的公式之后，我们可以很容易的使用`python`实现线性回归算法。`python`实现代码如下：

```python
#encoding=utf8
import numpy as np

# 线性回归算法
def lr(train_feature,train_label,test_feature):
    '''
    input:
        train_feature(ndarray):历史数据
        train_label(ndarray):每条历史数据所对应的答案
        test_feature(ndarray):测试数据
    output:
        predict(ndarray):每条测试数据所对应的预测结果
    '''
    #将x0=1加入训练数据
    train_x = np.hstack([np.ones((len(train_feature),1)),train_feature])
    #使用正规方程解求得参数
    theta =np.linalg.inv(train_x.T.dot(train_x)).dot(train_x.T).dot(train_label)
    #将x0=1加入测试数据
    test_x = np.hstack([np.ones((len(test_feature),1)),test_feature])
    #求得测试集预测标签    
    predict = test_x.dot(theta)
    return predict
```

