# Summary

* [前言](README.md)
* [第一章 绪论](Chapter1/README.md)
    * [1.1 大数据与数据挖掘](Chapter1/大数据与数据挖掘.md)
    * [1.2 无处不在的数据挖掘](Chapter1/无处不在的数据挖掘.md)
* [第二章 认识数据](Chapter2/README.md)
    * [2.1 数据与属性](Chapter2/数据与属性.md)
    * [2.2 数据的基本统计指标](Chapter2/数据的基本统计指标.md)
    * [2.3 数据可视化](Chapter2/数据可视化.md)
* [第三章 数据预处理](Chapter3/README.md)
    * [3.1 为什么要数据预处理](Chapter3/为什么要数据预处理.md)
    * [3.2 数据预处理常用技巧---标准化](Chapter3/标准化.md)
    * [3.3 数据预处理常用技巧---归一化](Chapter3/归一化.md)
    * [3.4 数据预处理常用技巧---离散值编码](Chapter3/离散值编码.md)
    * [3.5 数据预处理常用技巧---生成多项式特征](Chapter3/生成多项式特征.md)
    * [3.6 数据预处理常用技巧---估算缺失值](Chapter3/估算缺失值.md)
* [第四章 使用k近邻算法检测红酒品质](Chapter4/README.md)
    * [4.1 问题的本质](Chapter4/问题的本质.md)
    * [4.2 k近邻算法原理](Chapter4/k-近邻算法原理.md)
    * [4.3 动手实现k近邻算法](Chapter4/动手实现k-近邻.md)
    * [4.4 检测红酒品质](Chapter4/品鉴红酒.md)
* [第五章 使用线性回归算法预测房价](Chapter5/README.md)
    * [5.1 什么是回归](Chapter5/线性回归算法思想.md)
    * [5.2 线性回归算法原理](Chapter5/线性回归算法原理.md)
    * [5.3 动手实现线性回归](Chapter5/动手实现线性回归.md)
    * [5.4 预测房价](Chapter5/实战案例.md)
* [第六章 使用决策树算法识别花朵](Chapter6/README.md)
    * [6.1 决策树的核心思想](Chapter6/决策树算法思想.md)
    * [6.2 决策树算法原理](Chapter6/决策树算法原理.md)
    * [6.3 决策树算法流程](Chapter6/决策树算法流程.md)
    * [6.4 动手实现决策树](Chapter6/动手实现决策树.md)
    * [6.5 识别花朵](Chapter6/实战案例.md)
* [第七章 使用k均值算法分割图像](Chapter7/README.md)
    * [7.1 什么是图像分割](Chapter7/k-均值算法思想.md)
    * [7.2 k均值算法原理](Chapter7/k-均值算法原理.md)
    * [7.3 图像分割](Chapter7/实战案例.md)
* [第八章 使用Apriori算法找出毒蘑菇的共性](Chapter8/README.md)
    * [8.1 关联规则与Apriori](Chapter8/关联规则与Apriori算法.md)
    * [8.2 Apriori算法原理](Chapter8/Apriori算法原理.md)
    * [8.3 动手实现Apriori](Chapter8/动手实现Apriori.md)
    * [8.4 实战案例](Chapter8/实战案例.md)
* [第九章 谷歌的网页推荐算法--PageRank](Chapter9/README.md)
    * [9.1 什么是PageRank](Chapter9/什么是PageRank.md)
    * [9.2 PageRank算法原理](Chapter9/PageRank算法原理.md)
    * [9.3 动手实现PageRank](Chapter9/动手实现PageRank.md)
* [第十章 打造电影推荐系统](Chapter10/README.md)
    * [10.1 推荐系统概述](Chapter10/推荐系统概述.md)
    * [10.2 基于矩阵分解的协同过滤算法思想](Chapter10/基于矩阵分解的协同过滤算法思想.md)
    * [10.3 基于矩阵分解的协同过滤算法原理](Chapter10/基于矩阵分解的协同过滤算法原理.md)
    * [10.4 动手实现基于矩阵分解的协同过滤](Chapter10/动手实现基于矩阵分解的协同过滤.md)
    * [10.5 实现电影推荐系统](Chapter10/实战案例.md)
* [第十一章 综合实战：森林火灾数据可视化](Chapter11/README.md)
    * [11.1 亚马逊雨林数据初窥](Chapter11/亚马逊雨林数据初窥.md)
    * [11.2 使用图表来探索亚马逊雨林](Chapter11/使用图表来探索亚马逊雨林.md)
    * [11.3 亚马逊雨林地图可视化](Chapter11/亚马逊雨林地图可视化.md)
* [第十二章 综合实战：信用卡欺诈检测](Chapter12/README.md)
    * [12.1 了解数据](Chapter12/了解数据.md)
    * [12.2 对匿名特征进行处理](Chapter12/对匿名特征进行处理.md)
    * [12.3 解决样本不平衡问题](Chapter12/解决样本不平衡问题.md)
    * [12.4 使用sklearn实现欺诈检测功能](Chapter12/使用sklearn实现欺诈检测功能.md)
    * [12.5 验证算法性能](Chapter12/验证算法性能.md)
* [第十三章 综合实战：FIFA球员数据分析与推荐](Chapter13/README.md)
    * [13.1 初步分析数据](Chapter13/初步分析数据.md)
    * [13.2 FIFA数据可视化](Chapter13/FIFA数据可视化.md)
    * [13.3 球员推荐](Chapter13/球员推荐.md)
